package com.mudu.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * (ASafeWgcy)表实体类
 *
 * @author wu
 * @since 2024-08-24 18:14:06
 */
@Data
@ApiModel("实体类")
@TableName(value = "a_safe_wgcy")
public class ASafeWgcy implements Serializable {

    private static final long serialVersionUID = -54375539799721806L;
    private String xxbh;

    /**
     * 人员编号
     */
    @ApiModelProperty(value = "人员编号")
    private String rybh;

    /**
     * 人员姓名
     */
    @ApiModelProperty(value = "人员姓名")
    private String ryxm;

    /**
     * 固定电话
     */
    @ApiModelProperty(value = "固定电话")
    private String gddh;

    /**
     * 人员职务
     */
    @ApiModelProperty(value = "人员职务")
    private String ryzw;

    /**
     * 电子邮箱
     */
    @ApiModelProperty(value = "电子邮箱")
    private String dzyx;

    /**
     * 移动电话
     */
    @ApiModelProperty(value = "移动电话")
    private String yddh;

    /**
     * 父级编号
     */
    @ApiModelProperty(value = "父级编号")
    private String pid;

    /**
     * 1,网格成员，2企业专职安全员
     */
    @ApiModelProperty(value = "1,网格成员，2企业专职安全员")
    private Integer rylx;

    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;

    /**
     * 显示顺序
     */
    @ApiModelProperty(value = "显示顺序")
    private Integer xssx;

    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private String gxry;

    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;

}

