package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeZcrwMd;
import com.mudu.entity.dto.request.ZcRequest;
import org.apache.ibatis.annotations.Param;

/**
 * (ASafeZcrwMd)表数据库访问层
 *
 * @author wu
 * @since 2024-09-03 09:18:08
 */
public interface ASafeZcrwMdMapper extends BaseMapper<ASafeZcrwMd> {

    /**
     * 根据企业xxbh以及周期编号查询自查任务id
     */
    String getByxxbh(@Param("req") ZcRequest req);

}

