package com.mudu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mudu.entity.ASafeXcrwMd;
import com.mudu.entity.dto.request.XcRequest;
import com.mudu.mapper.ASafeXcrwMdMapper;
import com.mudu.service.ASafeXcrwMdService;
import org.springframework.stereotype.Service;

/**
 * (ASafeXcrwMd)表服务实现类
 *
 * @author wu
 * @since 2024-09-03 09:18:08
 */
@Service("aSafeXcrwMdService")
public class ASafeXcrwMdServiceImpl extends ServiceImpl<ASafeXcrwMdMapper, ASafeXcrwMd> implements ASafeXcrwMdService {

    /**
     * 根据企业xxbh以及周期编号查询巡查任务id
     *
     * @param req
     */
    @Override
    public String getByxxbh(XcRequest req) {
        return baseMapper.getByxxbh(req);
    }
}

