package com.mudu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mudu.entity.ASafeXcrwMd;
import com.mudu.entity.dto.request.XcRequest;
import org.apache.ibatis.annotations.Param;

/**
 * (ASafeXcrwMd)表数据库访问层
 *
 * @author wu
 * @since 2024-09-03 09:18:07
 */
public interface ASafeXcrwMdMapper extends BaseMapper<ASafeXcrwMd> {


    /**
     * 根据企业xxbh以及周期编号查询巡查任务id
     */
    String getByxxbh(@Param("req") XcRequest req);
}

