package com.mudu.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mudu.entity.ASafeZcrwMd;
import com.mudu.entity.dto.request.ZcRequest;
import com.mudu.mapper.ASafeZcrwMdMapper;
import com.mudu.service.ASafeZcrwMdService;
import org.springframework.stereotype.Service;

/**
 * (ASafeZcrwMd)表服务实现类
 *
 * @author wu
 * @since 2024-09-03 09:18:08
 */
@Service("aSafeZcrwMdService")
public class ASafeZcrwMdServiceImpl extends ServiceImpl<ASafeZcrwMdMapper, ASafeZcrwMd> implements ASafeZcrwMdService {

    /**
     * 根据企业xxbh以及周期编号查询自查任务id
     *
     * @param req
     */
    @Override
    public String getByxxbh(ZcRequest req) {
        return baseMapper.getByxxbh(req);
    }
}

